php::Links(‘PHP 5.0 vs. MySQL’)

terrore e raccapriccio :(! stanotte, forse per la troppa emozione non ho notato questo appunto nella nota di release di php 5.0:

Due to issues surrounding the MySQL 4.0 license, the MySQL libraries are no longer bundled with PHP. For more information on these licensing changes please see the MySQL licensing policy [1]

cmq, sbattendo un pò la testa in giro ho letto che pare che MySQL 4.0 sarà licenziato GPL a breve e quindi dalla prossima release di PHP tornerà ad essere integrato… sperèm! :(

mi correggo:
pare che il problema sia proprio il fatto che MySQL è GPL…

…Questo porta a notevoli problemi. PHP non può linkare librerie GPL,
perchè tutto dovrebbe essere licenziato GPL.
Ho letto, che il gruppo del PHP vorrebbe proporre a MySQL inc.
un’eventuale clausola che permetterebbe di linkare le librerie di MySQL
in PHP.
Non vorrei sbagliarmi, ma ciò va contro alle regole di una licenza open
source OSI.

tratto dalla PHP-ML

ciuaz

%d bloggers like this: